[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.Paint

Draws the content in the hint window.

## Declaration

Source position: forms.pp line 1007

`protected procedure THintWindow.Paint; override;`

## Description

Paint is an overridden method in THintWindow. It extends the inherited method to implement default drawing using the Canvas and the settings enabled for theme services. When CountrolCount is 0, the internal routine is used to render the content.When CountrolCount indicates that child controls are present on the hint window, the inherited Paint method is called to render the content.

## See also

TCustomControl.Paint |  | Implements the default handler used to draw the control.